#ifndef _PTHREAD_KEY_INCLUDED
#define _PTHREAD_KEY_INCLUDED

#include <pthread.h>

#define _KEY_NONE ( ( _key_destructor_t ) -1 )

typedef void (* _key_destructor_t)(void *);
typedef int _key_count_t;

extern _key_count_t _key_count;
extern _key_destructor_t * _key_destructor;
extern pthread_mutex_t _key_mutex;

#endif
